For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>
Path parameters
idintegerRequired
Request
This endpoint expects an object.
actionslist of enumsOptional
headersanyOptional
Key Value Json of headers
is_activebooleanOptional
If value is False the webhook is disabled
send_for_all_actionsbooleanOptional
If value is False - used only for actions from WebhookAction
send_payloadbooleanOptional
If value is False send only action
urlstringOptionalformat: "uri"1-2048 characters
URL of webhook
Response
created_atdatetimeRead-only
Creation time
idintegerRead-only
organizationintegerRead-only
projectinteger or nullRead-only
updated_atdatetimeRead-only
Last update time
urlstringformat: "uri"<=2048 characters
URL of webhook
actionslist of enums
headersany
Key Value Json of headers
is_activeboolean
If value is False the webhook is disabled
send_for_all_actionsboolean
If value is False - used only for actions from WebhookAction
send_payloadboolean
If value is False send only action
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: